# Uses of Class
org.eclipse.ui.internal.PartSite

Packages that use PartSite
Package
Description
org.eclipse.ui.internal

## Uses of PartSite in org.eclipse.ui.internal

Subclasses of PartSite in org.eclipse.ui.internal
Modifier and Type
Class
Description
`class`
`EditorSite`
An editor container manages the services for an editor.
`class`
`ViewSite`
A view container manages the services for a view.
Methods in org.eclipse.ui.internal that return PartSite
Modifier and Type
Method
Description
`PartSite`
EditorReference.`getSite()`
`PartSite`
ViewReference.`getSite()`
`abstract PartSite`
WorkbenchPartReference.`getSite()`
Methods in org.eclipse.ui.internal with parameters of type PartSite
Modifier and Type
Method
Description
`void`
IMenuServiceWorkaround.`clearContributions(PartSite site, MPart part)`
Disposes contributions created by service for given part.